Description

patch for redmine 1.0.1:

1. can add multiple watchers in one step;

2. can add any redmine user as watcher, just type to filter.

Related issues:

Related to Redmine - Feature #5159: Ability to add Non-Member watchers to the... Closed 2010-03-23

History

#1 - 2010-09-13 20:37 - Eric Seigne

WOAW !

great patch, i hope it will be included in next redmine version !!!

Thanks a lot, it's exactly what i need

Éric

#2 - 2010-09-13 20:50 - Eric Davis

- Subject changed from improved add watcher functionality to Add multiple watchers at once and add any redmine user as a watcher

- Status changed from Resolved to New

#3 - 2010-09-14 08:35 - Martin Kande

Nice to hear that it was useful.

There should be one more update - permission in roles to add any watcher, so there can be projects where only watchers from project members can

be added.

#4 - 2010-10-28 01:13 - Jamie Talbot

I would strongly vote for this.  We use Redmine internally at my company as our support tracker, and only being able to add watchers from current

project members is a significant inconvenience.  If a stakeholder isn't CC'd on the initial report email, I have to add them to the project, add them as a

watcher and then remove them from the project again.

#5 - 2010-10-28 16:09 - Brian Heasley

+1

#6 - 2010-11-01 09:16 - Tiffany C

Great! This is what I was looking for.  I would strongly vote for this, too.

Since there are over 150 members in our project, it is really hard to find a member from the pull-down and add one by one several times...

#7 - 2011-01-11 13:18 - Eduardo Bogoni

+1

#8 - 2011-02-02 10:03 - Stanislav German-Evtushenko

It would be very useful.

PS: Patches aren't usually accepted without tests.

#9 - 2011-02-28 12:34 - Gergely Nagy
+1

This would be important for adopting Redmine in our company. We're just introducing it as a central place to store ideas & suggestions (as well as

real project stuff like bugs,features); and this could be a more open way to involve people than fully dragging them in.  I would really like even to add

emails that are not Redmine users yet, somewhat like RT does.

Until this happens, we have to use other systems, email, spreadsheets, etc.. causing confusion and waste of time.

So, is there a plan to add this patch? Any help needed? I'd like to invest some time (e.g learning how to contribute, writing tests), in case it would

move this forward.

#10 - 2011-03-10 10:08 - Deon Joubert

+1

#11 - 2011-03-18 09:26 - Ez Dakit

+1

#12 - 2011-03-31 09:02 - Arno Schoenmakers

Hi,

I really need this feature, but I don't see it back in Redmine 1.1.1; what happened to this feature?

Is there some other way to add watchers from another (sub)project to an issue reported in a (sub)project.

#13 - 2011-04-26 18:30 - Jason Butz

Any way to get this into the next redmine release? Or maybe into a plugin?

#14 - 2011-10-19 09:44 - Richard Pecl

+1

#15 - 2011-10-28 17:08 - Anonymous

+1

#16 - 2011-11-28 18:45 - Jason Butz

+1 to "can add any redmine user as watcher, just type to filter."

Any way to get a patch for Redmine 1.2.X ?

#17 - 2012-01-09 19:41 - Jean-Philippe Lang

- Status changed from New to Closed

Superseded by r8592.

Files
